mscorlib 1.0.5000.0 2.0.0.0 4.0.0.0 System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true) System.Runtime.InteropServices.Guid("BCA8B44D-AAD6-3A86-8AB7-03349F4F2DA2") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown) System.Runtime.InteropServices.TypeLibImportClass(typeof(System.Type))

This interface is for access to managed classes from unmanaged code and should not be called from managed code.

This interface preserves the vtable order of the class members that can be accessed by unmanaged COM objects.

Exposes the public members of the class to the unmanaged code.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the in which the type is declared. For generic types, this property gets the in which the generic type is defined.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the assembly-qualified name of the , including the name of the assembly from which the was loaded.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the attributes associated with the .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the type from which the current directly inherits.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the class that declares this member.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method determines if the underlying system type of the current is the same as the underlying system type of the specified .

  Provides COM objects with version-independent access to the method.

  true if the underlying system type of is the same as the underlying system type of the current ; otherwise, false.

  The whose underlying system type is to be compared with the underlying system type of the current . 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method determines if the underlying system type of the current is the same as the underlying system type of the specified .

  Provides COM objects with version-independent access to the method.

  true if the underlying system type of is the same as the underlying system type of the current ; otherwise, false.

  The whose underlying system type is to be compared with the underlying system type of the current . 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns an array of objects representing a filtered list of interfaces implemented or inherited by the current .

  Provides COM objects with version-independent access to the method.

  An array of objects representing a filtered list of the interfaces implemented or inherited by the current .

  -or-

  An empty array of type , if no interfaces matching the filter are implemented or inherited by the current .

  The delegate that compares the interfaces against . The search criteria that determines whether an interface should be included in the returned array. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] `` `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns a filtered array of objects of the specified member type.

  Provides COM objects with version-independent access to the method.

  A filtered array of objects of the specified member type.

  -or-

  An empty array of type , if the current does not have members of type that match the filter criteria.

  A MemberTypes object indicating the type of member to search for. A bitmask comprised of one or more that specify how the search is conducted. The delegate that does the comparisons, returning true if the member currently being inspected matches the and false otherwise. You can use the FilterAttribute, FilterName, and FilterNameIgnoreCase delegates supplied by this class. The first uses the fields of FieldAttributes, MethodAttributes, and MethodImplAttributes as search criteria, and the other two delegates use String objects as the search criteria. The search criteria that determines whether a member is returned in the array of MemberInfo objects. 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the fully qualified name of the , including the namespace of the but not the assembly.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the number of dimensions in an .

  Provides COM objects with version-independent access to the method.

  An containing the number of dimensions in the current .

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ConstructorInfo ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for a public instance constructor whose parameters match the types in the specified array.

  Provides COM objects with version-independent access to the method.

  A object representing the public instance constructor whose parameters match the types in the parameter type array, if found; otherwise, null.

  An array of objects representing the number, order, and type of the parameters for the desired constructor. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ConstructorInfo `` `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for a constructor whose parameters match the specified argument types and modifiers, using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  A object representing the constructor that matches the specified requirements, if found; otherwise, null.

  A bitmask comprised of one or more that specify how the search is conducted. A object that defines a set of properties and enables binding, which can involve selection of an overloaded method, coercion of argument types, and invocation of a member through reflection. An array of objects representing the number, order, and type of the parameters for the constructor to get. An array of objects representing the attributes associated with the corresponding element in the parameter type array. The default binder does not process this parameter. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ConstructorInfo `` `` `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for a constructor whose parameters match the specified argument types and modifiers, using the specified binding constraints and the specified calling convention.

  Provides COM objects with version-independent access to the method.

  A object representing the constructor that matches the specified requirements, if found; otherwise, null.

  A bitmask comprised of one or more that specify how the search is conducted. A object that defines a set of properties and enables binding, which can involve selection of an overloaded method, coercion of argument types, and invocation of a member through reflection. The object that specifies the set of rules to use regarding the order and layout of arguments, how the return value is passed, what registers are used for arguments, and the stack is cleaned up. An array of objects representing the number, order, and type of the parameters for the constructor to get. An array of objects representing the attributes associated with the corresponding element in the array. The default binder does not process this parameter. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ConstructorInfo[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns all the public constructors defined for the current .

  Provides COM objects with version-independent access to the method.

  An array of objects representing all the public instance constructors defined for the current , but not including the type initializer (static constructor). If no public instance constructors are defined for the current , or if the current represents a type parameter of a generic type or method definition, an empty array of type is returned.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ConstructorInfo[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the constructors defined for the current , using the specified .

  Provides COM objects with version-independent access to the method.

  An array of objects representing all constructors defined for the current that match the specified binding constraints, including the type initializer if it is defined. Returns an empty array of type if no constructors are defined for the current , if none of the defined constructors match the binding constraints, or if the current represents a type parameter of a generic type or method definition.

  A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns all attributes applied to this member.

  Provides COM objects with version-independent access to the method.

  An array of custom attributes applied to this member, or an array with zero (0) elements if no attributes have been applied.

  Specifies whether to search this member's inheritance chain to find the attributes. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns all attributes applied to this member.

  Provides COM objects with version-independent access to the method.

  An array of custom attributes applied to this member, or an array with zero (0) elements if no attributes have been applied.

  The type of attribute to search for. Only attributes that are assignable to this type are returned. Specifies whether to search this member's inheritance chain to find the attributes. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the members defined for the current whose is set.

  Provides COM objects with version-independent access to the method.

  An array of objects representing all default members of the current .

  -or-

  An empty array of type , if the current does not have default members.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns the of the object encompassed or referred to by the current array, pointer or reference type.

  Provides COM objects with version-independent access to the method.

  The of the object encompassed or referred to by the current array, pointer or reference type.

  -or-

  null if the current is not an array or a pointer, or is not passed by reference, or represents a generic type or a type parameter of a generic type or method definition.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for events that are declared or inherited by the current , using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  An array of objects representing all events that are declared or inherited by the current that match the specified binding constraints.

  -or-

  An empty array of type , if the current does not have events, or if none of the events match the binding constraints.

  A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns the object representing the specified event, using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  The object representing the specified event that is declared or inherited by the current , if found; otherwise, null.

  The containing the name of an event that is declared or inherited by the current . A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns all the public events that are declared or inherited by the current .

  Provides COM objects with version-independent access to the method.

  An array of objects representing all the public events that are declared or inherited by the current .

  -or-

  An empty array of type , if the current does not have public events.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for events that are declared or inherited by the current , using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  An array of objects representing all events that are declared or inherited by the current that match the specified binding constraints.

  -or-

  An empty array of type , if the current does not have events, or if none of the events match the binding constraints.

  A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the public field with the specified name.

  Provides COM objects with version-independent access to the method.

  A object representing the public field with the specified name, if found; otherwise, null.

  The containing the name of the data field to get. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified field, using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  A object representing the field that matches the specified requirements, if found; otherwise, null.

  The containing the name of the data field to get. A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns all the public fields of the current .

  Provides COM objects with version-independent access to the method.

  An array of objects representing all the public fields defined for the current .

  -or-

  An empty array of type , if no public fields are defined for the current .

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the fields defined for the current , using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  An array of objects representing all fields defined for the current that match the specified binding constraints.

  -or-

  An empty array of type , if no fields are defined for the current , or if none of the defined fields match the binding constraints.

  A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method.

  Provides COM objects with version-independent access to the method.

  An containing the hash code for this instance.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the interface with the specified name..

  Provides COM objects with version-independent access to the method.

  A object representing the interface with the specified name, implemented or inherited by the current , if found; otherwise, null.

  The containing the name of the interface to get. For generic interfaces, this is the mangled name. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified interface, specifying whether to do a case-sensitive search.

  Provides COM objects with version-independent access to the method.

  A object representing the interface with the specified name, implemented or inherited by the current , if found; otherwise, null.

  The containing the name of the interface to get. For generic interfaces, this is the mangled name. true to perform a case-insensitive search for . 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.InterfaceMapping ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns an interface mapping for the specified interface type.

  Provides COM objects with version-independent access to the method.

  An object representing the interface mapping for .

  The of the interface of which to retrieve a mapping. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets all the interfaces implemented or inherited by the current .

  Provides COM objects with version-independent access to the method.

  An array of objects representing all the interfaces implemented or inherited by the current .

  -or-

  An empty array of type , if no interfaces are implemented or inherited by the current .

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the public members with the specified name.

  Provides COM objects with version-independent access to the method.

  An array of objects representing the public members with the specified name, if found; otherwise, an empty array.

  The containing the name of the public members to get. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified members, using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  An array of objects representing the public members with the specified name, if found; otherwise, an empty array.

  The containing the name of the members to get. A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified members of the specified member type, using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  An array of objects representing the public members with the specified name, if found; otherwise, an empty array.

  The containing the name of the members to get. The value to search for. A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns all the public members of the current .

  Provides COM objects with version-independent access to the method.

  An array of objects representing all the public members of the current .

  -or-

  An empty array of type , if the current does not have public members.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the members defined for the current , using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  An array of objects representing all members defined for the current that match the specified binding constraints.

  -or-

  An empty array of type , if no members are defined for the current , or if none of the defined members match the binding constraints.

  A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the public method with the specified name..

  Provides COM objects with version-independent access to the method.

  A object representing the public method with the specified name, if found; otherwise, null.

  The containing the name of the public method to get. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified method, using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  A object representing the method that matches the specified requirements, if found; otherwise, null.

  The containing the name of the method to get. A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified public method whose parameters match the specified argument types.

  Provides COM objects with version-independent access to the method.

  A object representing the public method whose parameters match the specified argument types, if found; otherwise, null.

  The containing the name of the public method to get. An array of objects representing the number, order, and type of the parameters for the method to get. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified public method whose parameters match the specified argument types and modifiers.

  Provides COM objects with version-independent access to the method.

  A object representing the public method that matches the specified requirements, if found; otherwise, null.

  The containing the name of the public method to get. An array of objects representing the number, order, and type of the parameters for the method to get. An array of objects representing the attributes associated with the corresponding element in the array. The default binder does not process this parameter. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified method whose parameters match the specified argument types and modifiers, using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  A object representing the method that matches the specified requirements, if found; otherwise, null.

  The containing the name of the method to get. A bitmask comprised of one or more that specify how the search is conducted. A object that defines a set of properties and enables binding, which can involve selection of an overloaded method, coercion of argument types, and invocation of a member through reflection. An array of objects representing the number, order, and type of the parameters for the method to get. An array of objects representing the attributes associated with the corresponding element in the array. The default binder does not process this parameter. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified method whose parameters match the specified argument types and modifiers, using the specified binding constraints and the specified calling convention.

  Provides COM objects with version-independent access to the method.

  A object representing the method that matches the specified requirements, if found; otherwise, null.

  The containing the name of the method to get. A bitmask comprised of one or more that specify how the search is conducted. A object that defines a set of properties and enables binding, which can involve selection of an overloaded method, coercion of argument types, and invocation of a member through reflection. The object that specifies the set of rules to use regarding the order and layout of arguments, how the return value is passed, what registers are used for arguments, and how the stack is cleaned up. An array of objects representing the number, order, and type of the parameters for the method to get. An array of objects representing the attributes associated with the corresponding element in the array. The default binder does not process this parameter. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns all the public methods of the current .

  Provides COM objects with version-independent access to the method.

  An array of objects representing all the public methods defined for the current .

  -or-

  An empty array of type , if no public methods are defined for the current .

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the methods defined for the current , using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  An array of objects representing all methods defined for the current that match the specified binding constraints.

  -or-

  An empty array of type , if no methods are defined for the current , or if none of the defined methods match the binding constraints.

  A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the public nested type with the specified name.

  Provides COM objects with version-independent access to the method.

  A object representing the public nested type with the specified name, if found; otherwise, null.

  The string containing the name of the nested type to get. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified nested type, using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  A object representing the nested type that matches the specified requirements, if found; otherwise, null.

  The string containing the name of the nested type to get. A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns all the types nested within the current .

  Provides COM objects with version-independent access to the method.

  An array of objects representing all the types nested within the current .

  -or-

  An empty array of type , if no types are nested within the current .

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  Provides COM objects with version-independent access to the method, and searches for the types nested within the current , using the specified binding constraints.

  An array of objects representing all the types nested within the current that match the specified binding constraints.

  -or-

  An empty array of type , if no types are nested within the current , or if none of the nested types match the binding constraints.

  A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo[]

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns all the public properties of the current .

  Provides COM objects with version-independent access to the method.

  An array of objects representing all public properties of the current .

  -or-

  An empty array of type , if the current does not have public properties.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo[] ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the properties of the current , using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  An array of objects representing all properties of the current that match the specified binding constraints.

  -or-

  An empty array of type , if the current does not have properties, or if none of the properties match the binding constraints.

  A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the public property with the specified name.

  Provides COM objects with version-independent access to the method.

  A object representing the public property with the specified name, if found; otherwise, null.

  The containing the name of the public property to get. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified property, using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  A object representing the property that matches the specified requirements, if found; otherwise, null.

  The containing the name of the property to get. A bitmask comprised of one or more that specify how the search is conducted. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the public property with the specified name and return type.

  Provides COM objects with version-independent access to the method.

  A object representing the public property with the specified name, if found; otherwise, null.

  The containing the name of the public property to get. The return type of the property. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified public property whose parameters match the specified argument types..

  Provides COM objects with version-independent access to the method.

  A object representing the public property whose parameters match the specified argument types, if found; otherwise, null.

  The containing the name of the public property to get. An array of objects representing the number, order, and type of the parameters for the indexed property to get. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified public property whose parameters match the specified argument types.

  Provides COM objects with version-independent access to the method.

  A object representing the public property whose parameters match the specified argument types, if found; otherwise, null.

  The containing the name of the public property to get. The return type of the property. An array of objects representing the number, order, and type of the parameters for the indexed property to get. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo `` `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified public property whose parameters match the specified argument types and modifiers.

  Provides COM objects with version-independent access to the method.

  A object representing the public property that matches the specified requirements, if found; otherwise, null.

  The containing the name of the public property to get. The return type of the property. An array of objects representing the number, order, and type of the parameters for the indexed property to get. An array of objects representing the attributes associated with the corresponding element in the array. The default binder does not process this parameter. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo `` `` `` `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method searches for the specified property whose parameters match the specified argument types and modifiers, using the specified binding constraints.

  Provides COM objects with version-independent access to the method.

  A object representing the property that matches the specified requirements, if found; otherwise, null.

  The containing the name of the property to get. A bitmask comprised of one or more that specify how the search is conducted. A object that defines a set of properties and enables binding, which can involve selection of an overloaded method, coercion of argument types, and invocation of a member through reflection. The return type of the property. An array of objects representing the number, order, and type of the parameters for the indexed property to get. An array of objects representing the attributes associated with the corresponding element in the array. The default binder does not process this parameter. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method gets the current .

  Provides COM objects with version-independent access to the method.

  The current .

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added. 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the GUID associated with the .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method invokes the specified member, using the specified binding constraints and matching the specified argument list.

  Provides COM objects with version-independent access to the method.

  An representing the return value of the invoked member.

  The containing the name of the constructor, method, property, or field member to invoke. A bitmask comprised of one or more that specify how the search is conducted. The access can be one of the BindingFlags such as Public, NonPublic, Private, InvokeMethod, GetField, and so on. The type of lookup need not be specified. If the type of lookup is omitted, BindingFlags.Public | BindingFlags.Instance will apply. A object that defines a set of properties and enables binding, which can involve selection of an overloaded method, coercion of argument types, and invocation of a member through reflection. The on which to invoke the specified member. An array containing the arguments to pass to the member to invoke. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method invokes the specified member, using the specified binding constraints and matching the specified argument list and culture.

  Provides COM objects with version-independent access to the method.

  An representing the return value of the invoked member.

  The containing the name of the constructor, method, property, or field member to invoke. A bitmask comprised of one or more that specify how the search is conducted. The access can be one of the BindingFlags such as Public, NonPublic, Private, InvokeMethod, GetField, and so on. The type of lookup need not be specified. If the type of lookup is omitted, BindingFlags.Public | BindingFlags.Instance will apply. A object that defines a set of properties and enables binding, which can involve selection of an overloaded method, coercion of argument types, and invocation of a member through reflection. The on which to invoke the specified member. An array containing the arguments to pass to the member to invoke. The object representing the globalization locale to use, which may be necessary for locale-specific conversions, such as converting a numeric String to a Double. 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` `` `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method invokes the specified member, using the specified binding constraints and matching the specified argument list, modifiers, and culture.

  Provides COM objects with version-independent access to the method.

  An representing the return value of the invoked member.

  The containing the name of the constructor, method, property, or field member to invoke. A bitmask comprised of one or more that specify how the search is conducted. The access can be one of the BindingFlags such as Public, NonPublic, Private, InvokeMethod, GetField, and so on. The type of lookup need not be specified. If the type of lookup is omitted, BindingFlags.Public | BindingFlags.Instance will apply. A object that defines a set of properties and enables binding, which can involve selection of an overloaded method, coercion of argument types, and invocation of a member through reflection. The on which to invoke the specified member. An array containing the arguments to pass to the member to invoke. An array of objects representing the attributes associated with the corresponding element in the array. A parameter's associated attributes are stored in the member's signature. The default binder does not process this parameter. The object representing the globalization locale to use, which may be necessary for locale-specific conversions, such as converting a numeric String to a Double. An array containing the names of the parameters to which the values in the array are passed. 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is abstract and must be overridden.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the string format attribute AnsiClass is selected for the .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is an array.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  Provides COM objects with version-independent access to the method.

  true if and the current represent the same type, or if the current is in the inheritance hierarchy of , or if the current is an interface that implements, or if is a generic type parameter and the current represents one of the constraints of . false if none of these conditions are the case, or if is null.

  The to compare with the current . 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the string format attribute AutoClass is selected for the .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the class layout attribute AutoLayout is selected for the .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is passed by reference.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is a class; that is, not a value type or interface.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is a COM object.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the can be hosted in a context.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method indicates whether one or more instance of is applied to this member.

  Provides COM objects with version-independent access to the method.

  true if one or more instance of is applied to this member; otherwise, false.

  The Type object to which the custom attributes are applied. Specifies whether to search this member's inheritance chain to find the attributes. 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the current represents an enumeration.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the class layout attribute ExplicitLayout is selected for the .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the has , indicating that it was imported from a COM type library.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method determines whether the specified object is an instance of the current .

  Provides COM objects with version-independent access to the method.

  true if the current is in the inheritance hierarchy of the object represented by , or if the current is an interface that supports. false if neither of these conditions is the case, or if is null, or if the current is an open generic type (that is, returns true).

  The object to compare with the current . 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is an interface; that is, not a class or a value type.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the class layout attribute SequentialLayout is selected for the .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the Type is marshaled by reference.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is nested and visible only within its own assembly.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is nested and visible only to classes that belong to both its own family and its own assembly.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is nested and visible only within its own family.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is nested and visible only to classes that belong to either its own family or to its own assembly.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is nested and declared private.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether a class is nested and declared public.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the top-level is not declared public.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is a pointer.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is one of the primitive types.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the top-level is declared public.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is declared sealed.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is serializable.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the has a name that requires special handling.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method determines whether the class represented by the current derives from the class represented by the specified .

  Provides COM objects with version-independent access to the method.

  true if the represented by the parameter and the current represent classes, and the class represented by the current derives from the class represented by ; otherwise, false. This method also returns false if and the current represent the same class.

  The to compare with the current . 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the string format attribute UnicodeClass is selected for the .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating whether the is a value type.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberTypes To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets a value indicating that this member is a type or a nested type.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the module (the DLL) in which the current is defined.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the name of the .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the namespace of the .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the class object that was used to obtain this member.

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method is for access to managed classes from unmanaged code, and should not be called from managed code.

  The method returns the name of the current .

  Provides COM objects with version-independent access to the method.

  A representing the name of the current .

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.RuntimeTypeHandle To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the handle for the current .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ConstructorInfo To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property gets the initializer for the .

  Provides COM objects with version-independent access to the property.

  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  This property is for access to managed classes from unmanaged code, and should not be called from managed code.

  The property indicates the type provided by the common language runtime that represents this type.

  Provides COM objects with version-independent access to the property.

  2.0.0.0